components:
  schemas:
    PhysicalContext_LogicalContext:
      enum:
      - Capacity
      - Environment
      - Network
      - Performance
      - Security
      - Storage
      type: string
      x-enumDescriptions:
        Capacity: Capacity-related logical context.
        Environment: Environment-related logical context.
        Network: Network-related logical context.
        Performance: Performance-related logical context.
        Security: Security-related logical context.
        Storage: Storage-related logical context.
      x-versionAdded: '2022.1'
    PhysicalContext_PhysicalContext:
      enum:
      - Room
      - Intake
      - Exhaust
      - LiquidInlet
      - LiquidOutlet
      - Front
      - Back
      - Upper
      - Lower
      - CPU
      - CPUSubsystem
      - GPU
      - GPUSubsystem
      - FPGA
      - Accelerator
      - ASIC
      - Backplane
      - SystemBoard
      - PowerSupply
      - PowerSubsystem
      - VoltageRegulator
      - Rectifier
      - StorageDevice
      - NetworkingDevice
      - ComputeBay
      - StorageBay
      - NetworkBay
      - ExpansionBay
      - PowerSupplyBay
      - Memory
      - MemorySubsystem
      - Chassis
      - Fan
      - CoolingSubsystem
      - Motor
      - Transformer
      - ACUtilityInput
      - ACStaticBypassInput
      - ACMaintenanceBypassInput
      - DCBus
      - ACOutput
      - ACInput
      - TrustedModule
      - Board
      - Transceiver
      - Battery
      - Pump
      type: string
      x-enumDescriptions:
        ACInput: An AC input.
        ACMaintenanceBypassInput: An AC maintenance bypass input.
        ACOutput: An AC output.
        ACStaticBypassInput: An AC static bypass input.
        ACUtilityInput: An AC utility input.
        ASIC: An ASIC device, such as a networking chip or chipset component.
        Accelerator: An accelerator.
        Back: The back of the chassis.
        Backplane: A backplane within the chassis.
        Battery: A battery.
        Board: A circuit board.
        CPU: A processor (CPU).
        CPUSubsystem: The entire processor (CPU) subsystem.
        Chassis: The entire chassis.
        ComputeBay: Within a compute bay.
        CoolingSubsystem: The entire cooling, or air and liquid, subsystem.
        DCBus: A DC bus.
        Exhaust: The air exhaust point or points or region of the chassis.
        ExpansionBay: Within an expansion bay.
        FPGA: An FPGA.
        Fan: A fan.
        Front: The front of the chassis.
        GPU: A graphics processor (GPU).
        GPUSubsystem: The entire graphics processor (GPU) subsystem.
        Intake: The air intake point or points or region of the chassis.
        LiquidInlet: The liquid inlet point of the chassis.
        LiquidOutlet: The liquid outlet point of the chassis.
        Lower: The lower portion of the chassis.
        Memory: A memory device.
        MemorySubsystem: The entire memory subsystem.
        Motor: A motor.
        NetworkBay: Within a networking bay.
        NetworkingDevice: A networking device.
        PowerSubsystem: The entire power subsystem.
        PowerSupply: A power supply.
        PowerSupplyBay: Within a power supply bay.
        Pump: A pump.
        Rectifier: A rectifier device.
        Room: The room.
        StorageBay: Within a storage bay.
        StorageDevice: A storage device.
        SystemBoard: The system board (PCB).
        Transceiver: A transceiver.
        Transformer: A transformer.
        TrustedModule: A trusted module.
        Upper: The upper portion of the chassis.
        VoltageRegulator: A voltage regulator device.
      x-enumLongDescriptions:
        Board: This value shall indicate a circuit board that is not the primary or
          system board within a context that cannot be described by other defined
          values.
        Transceiver: This value shall indicate a transceiver attached to a device.
      x-enumVersionAdded:
        ACInput: '2018.3'
        ACMaintenanceBypassInput: '2018.3'
        ACOutput: '2018.3'
        ACStaticBypassInput: '2018.3'
        ACUtilityInput: '2018.3'
        ASIC: '2017.3'
        Accelerator: '2018.3'
        Battery: '2021.2'
        Board: '2021.1'
        CPUSubsystem: '2018.3'
        Chassis: '2017.2'
        CoolingSubsystem: '2018.3'
        DCBus: '2018.3'
        FPGA: '2018.3'
        Fan: '2017.2'
        GPUSubsystem: '2018.3'
        LiquidInlet: '2017.3'
        LiquidOutlet: '2017.3'
        Memory: '2017.1'
        MemorySubsystem: '2018.3'
        Motor: '2018.3'
        PowerSubsystem: '2019.1'
        Pump: '2021.3'
        Rectifier: '2019.1'
        Transceiver: '2021.1'
        Transformer: '2018.3'
        TrustedModule: '2020.4'
    PhysicalContext_PhysicalSubContext:
      enum:
      - Input
      - Output
      type: string
      x-enumDescriptions:
        Input: The input.
        Output: The output.
      x-versionAdded: '2018.3'
title: '#PhysicalContext'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '1.0'
